Summary: A gesture-recognition application for X11
Name: easystroke
Version: 0.6.0
Release: %mkrel 6
Group: Accessibility
License: ISC
Url: http://easystroke.sourceforge.net/
Source0: easystroke-patched.zip
Patch0: easystroke-0.6.0-fix-desktop-file.patch
BuildRequires: lib64gtkmm3.0-devel
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: boost-devel
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxi-devel
BuildRequires: libxfixes-devel
BuildRequires: libxtst-devel
BuildRequires: x11-server-devel
BuildRequires: intltool
BuildRequires: help2man

%description
Easystroke is a gesture-recognition application for X11. Gestures or 
strokes are movements that you make with you mouse (or your pen, 
finger etc.) while holding down a specific mouse button. Easystroke 
will execute certain actions if it recognizes the stroke; currently 
easystroke can emulate key presses, execute shell commands, hold down 
modifiers and emulate a scroll wheel. 
The program was designed with Tablet PCs in mind and can be used 
effectively even without access to a keyboard. Easystroke tries to 
provide an intuitive and efficient user interface, while at the same 
time being highly configurable and offering many advanced features. 

%prep
%setup -qn easystroke-patched
%apply_patches

# fix 
sed -i -e 's:/usr/local:%{_prefix}:' Makefile

# do not strip binary
sed -i -e 's:install -Ds:install -D:g' Makefile

%build
%make	CXX="g++ %{optflags}" \
	CC="gcc -std=c99 %{optflags}" \
	LDFLAGS="%{ldflags}"

# man page
make man

%install
rm -rf %buildroot
%makeinstall_std

# man page install
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files -f %{name}.lang
%doc LICENSE changelog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}*


%changelog
* Sun Sep 18 2022 tex - 0.6.0-6pclos2022
- rebuild against updates

* Mon Oct 11 2021 tex - 0.6.0-5pclos2021
- rebuild against updates

* Sat Jun 01 2019 tex - 0.6.0-4pclos2019
- rebuild against updates

* Wed Sep 20 2017 bb2 <bb2> - 0.6.0-3pclos2017
- rebuild for new gcc and boost

* Mon Mar 21 2016 bb <bb> - 0.6.0-2pclos2016
- rebuild for new boost

* Mon Nov 18 2013 pinoc <vogtpet at gmail.com> - 0.6.0-1pclos2013
- imported package
